From c845dbef8cfc1324163ca50061986483652ad2bf Mon Sep 17 00:00:00 2001
From: Julio Galvan <julio@epazote.net>
Date: Tue, 4 Jun 2019 03:50:22 -0700
Subject: [PATCH 1/3] wlroots: update to 0.6.0

---
 common/shlibs            | 2 +-
 srcpkgs/wlroots/template | 7 +++----
 2 files changed, 4 insertions(+), 5 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 0f6742b2fa4..77788f8779d 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3321,7 +3321,7 @@ libcodecore.so.0 libio.elementary.code-3.0_1
 libio.elementary.music-core.so.0 libio.elementary.music-5.0_1
 libpantheon-files-core.so.4 libio.elementary.files-4.1.4_1
 libpantheon-files-widgets.so.4 libio.elementary.files-4.1.4_1
-libwlroots.so.2 wlroots-0.5.0_1
+libwlroots.so.3 wlroots-0.6.0_1
 libbaseencode.so.1 libbaseencode-1.0.9_1
 libcotp.so.12 libcotp-1.2.1_1
 libunarr.so.1 libunarr-1.0.1_1
diff --git a/srcpkgs/wlroots/template b/srcpkgs/wlroots/template
index 875cca11243..9a57e9b99d2 100644
--- a/srcpkgs/wlroots/template
+++ b/srcpkgs/wlroots/template
@@ -1,7 +1,6 @@
 # Template file for 'wlroots'
 pkgname=wlroots
-reverts="0.6.0_1"
-version=0.5.0
+version=0.6.0
 revision=2
 build_style=meson
 configure_args="-Dlibcap=enabled -Dlogind=enabled -Dlogind-provider=elogind
@@ -12,13 +11,13 @@ makedepends="elogind-devel libcap-devel wayland-devel wayland-protocols
  MesaLib-devel libinput-devel libxkbcommon-devel libdrm-devel pixman-devel
  libxcb-devel xcb-util-cursor-devel xcb-util-devel xcb-util-image-devel
  xcb-util-keysyms-devel xcb-util-renderutil-devel xcb-util-wm-devel
- xcb-util-errors-devel xcb-util-xrm-devel"
+ xcb-util-errors-devel xcb-util-xrm-devel freerdp-devel"
 short_desc="Module Wayland compositor library"
 maintainer="maxice8 <thinkabit.ukim@gmail.com>"
 license="MIT"
 homepage="https://github.com/swaywm/wlroots"
 distfiles="https://github.com/swaywm/wlroots/archive/${version}.tar.gz"
-checksum=3c6d422aaa7ac09a1e4a88d93f07a4d6ef6c5e4d76c3422c240a5783265ed0e3
+checksum=9cf3716f3683d800df8b150f256ff66dad65faf13a9d67c284f67a9444d28c70
 
 post_install() {
 	vlicense LICENSE

From a47662706287addf5d3c5b9bccaab93c38fa92aa Mon Sep 17 00:00:00 2001
From: Julio Galvan <julio@epazote.net>
Date: Tue, 4 Jun 2019 05:55:52 -0700
Subject: [PATCH 2/3] wayfire: update to 0.2

---
 srcpkgs/wayfire/patches/ulong.patch       | 22 ------
 srcpkgs/wayfire/patches/wlroots-041.patch | 92 -----------------------
 srcpkgs/wayfire/template                  |  6 +-
 3 files changed, 3 insertions(+), 117 deletions(-)
 delete mode 100644 srcpkgs/wayfire/patches/ulong.patch
 delete mode 100644 srcpkgs/wayfire/patches/wlroots-041.patch

diff --git a/srcpkgs/wayfire/patches/ulong.patch b/srcpkgs/wayfire/patches/ulong.patch
deleted file mode 100644
index e7ba060856a..00000000000
--- a/srcpkgs/wayfire/patches/ulong.patch
+++ /dev/null
@@ -1,22 +0,0 @@
---- src/api/img.hpp	2019-02-05 15:46:42.000000000 +0100
-+++ -	2019-02-13 14:59:35.302813580 +0100
-@@ -5,8 +5,6 @@
- #include <GLES2/gl2.h>
- #include <string>
- 
--#define ulong unsigned long
--
- namespace image_io
- {
-     /* Load the image from the given file, binding it to the given GL texture target
---- src/core/img.cpp	2019-02-05 15:46:42.000000000 +0100
-+++ -	2019-02-13 14:59:57.760169039 +0100
-@@ -19,7 +19,7 @@
- 
- namespace image_io {
-     using Loader = std::function<bool(const char *, GLuint)>;
--    using Writer = std::function<void(const char *name, uint8_t *pixels, ulong, ulong)>;
-+    using Writer = std::function<void(const char *name, uint8_t *pixels, unsigned long, unsigned long)>;
-     namespace {
-         std::unordered_map<std::string, Loader> loaders;
-         std::unordered_map<std::string, Writer> writers;
diff --git a/srcpkgs/wayfire/patches/wlroots-041.patch b/srcpkgs/wayfire/patches/wlroots-041.patch
deleted file mode 100644
index 35d9e1f6b33..00000000000
--- a/srcpkgs/wayfire/patches/wlroots-041.patch
+++ /dev/null
@@ -1,92 +0,0 @@
-From 76a7bc32f4c2960a6e55436a79983cc4c5cef611 Mon Sep 17 00:00:00 2001
-From: Greg V <greg@unrelenting.technology>
-Date: Sat, 23 Feb 2019 23:42:46 +0300
-Subject: [PATCH] Track wlroots: new drag'n'drop handling
-
----
- src/core/seat/input-manager.hpp |  5 +++--
- src/core/seat/seat.cpp          | 38 +++++++++++++++++++++++++++------
- 2 files changed, 34 insertions(+), 9 deletions(-)
-
-diff --git a/src/core/seat/input-manager.hpp b/src/core/seat/input-manager.hpp
-index 6585d29..9d5a7b0 100644
---- src/core/seat/input-manager.hpp
-+++ src/core/seat/input-manager.hpp
-@@ -62,8 +62,9 @@ class input_manager
-         wayfire_grab_interface active_grab = nullptr;
-         bool session_active = true;
- 
--        wl_listener input_device_created, new_drag_icon, request_set_cursor,
--                    request_set_selection, request_set_primary_selection;
-+        wl_listener input_device_created, request_start_drag, start_drag,
-+                    request_set_cursor, request_set_selection,
-+                    request_set_primary_selection;
- 
- 
-         signal_callback_t config_updated;
-diff --git a/src/core/seat/seat.cpp b/src/core/seat/seat.cpp
-index b00866b..fbcd254 100644
---- src/core/seat/seat.cpp
-+++ src/core/seat/seat.cpp
-@@ -56,8 +56,8 @@ wf_drag_icon::wf_drag_icon(wlr_drag_icon *ic)
- 
- wf_point wf_drag_icon::get_output_position()
- {
--    auto pos = icon->is_pointer ?
--        core->get_cursor_position() : core->get_touch_position(icon->touch_id);
-+    auto pos = icon->drag->grab_type == WLR_DRAG_GRAB_KEYBOARD_TOUCH ?
-+        core->get_touch_position(icon->drag->touch_id) : core->get_cursor_position();
- 
-     GetTuple(x, y, pos);
- 
-@@ -97,11 +97,32 @@ void wf_drag_icon::damage(const wlr_box& box)
-     });
- }
- 
--static void handle_new_drag_icon_cb(wl_listener*, void *data)
-+static void handle_request_start_drag_cb(wl_listener*, void *data)
- {
--    auto di = static_cast<wlr_drag_icon*> (data);
-+    auto ev = static_cast<wlr_seat_request_start_drag_event*> (data);
-+    auto seat = core->get_current_seat();
- 
--    auto icon = std::unique_ptr<wf_drag_icon>(new wf_drag_icon(di));
-+    if (wlr_seat_validate_pointer_grab_serial(seat, ev->origin, ev->serial)) {
-+        wlr_seat_start_pointer_drag(seat, ev->drag, ev->serial);
-+        return;
-+    }
-+
-+    struct wlr_touch_point *point;
-+    if (wlr_seat_validate_touch_grab_serial(seat, ev->origin, ev->serial, &point)) {
-+        wlr_seat_start_touch_drag(seat, ev->drag, ev->serial, point);
-+        return;
-+    }
-+
-+    log_debug("Ignoring start_drag request: "
-+            "could not validate pointer or touch serial %" PRIu32, ev->serial);
-+    wlr_data_source_destroy(ev->drag->source);
-+}
-+
-+static void handle_start_drag_cb(wl_listener*, void *data)
-+{
-+    auto d = static_cast<wlr_drag*> (data);
-+
-+    auto icon = std::unique_ptr<wf_drag_icon>(new wf_drag_icon(d->icon));
-     core->input->drag_icons.push_back(std::move(icon));
- }
- 
-@@ -139,8 +160,11 @@ void input_manager::create_seat()
-     request_set_cursor.notify = handle_request_set_cursor;
-     wl_signal_add(&seat->events.request_set_cursor, &request_set_cursor);
- 
--    new_drag_icon.notify      = handle_new_drag_icon_cb;
--    wl_signal_add(&seat->events.new_drag_icon, &new_drag_icon);
-+    request_start_drag.notify = handle_request_start_drag_cb;
-+    wl_signal_add(&seat->events.request_start_drag, &request_start_drag);
-+
-+    start_drag.notify         = handle_start_drag_cb;
-+    wl_signal_add(&seat->events.start_drag, &start_drag);
- 
-     request_set_selection.notify = handle_request_set_selection_cb;
-     wl_signal_add(&seat->events.request_set_selection, &request_set_selection);
-
diff --git a/srcpkgs/wayfire/template b/srcpkgs/wayfire/template
index c584448ec67..2ee4bd17ae9 100644
--- a/srcpkgs/wayfire/template
+++ b/srcpkgs/wayfire/template
@@ -1,7 +1,7 @@
 # Template file for 'wayfire'
 pkgname=wayfire
-version=0.1
-revision=3
+version=0.2
+revision=1
 build_style=meson
 hostmakedepends="pkg-config wayland-devel"
 makedepends="wlroots-devel glm cairo-devel wf-config"
@@ -10,7 +10,7 @@ maintainer="Young Jin Park <youngjinpark20@gmail.com>"
 license="MIT"
 homepage="https://wayfire.org"
 distfiles="https://github.com/WayfireWM/wayfire/archive/v${version}.tar.gz"
-checksum=ce6ed0ba62296992f4a0c05b92d05b33911d1d192346611df845414ffd9a18b8
+checksum=94fe93bb2b86048fd1c7601f97b167767e19618bb6b6226e21c22fbd052540bf
 
 case $XBPS_TARGET_MACHINE in
 	*-musl) makedepends+=" libexecinfo-devel"

From 36b4d96cb7c0c89b7299b848d69a34ce10b04a48 Mon Sep 17 00:00:00 2001
From: Julio Galvan <julio@epazote.net>
Date: Tue, 4 Jun 2019 03:50:40 -0700
Subject: [PATCH 3/3] sway: update to 1.1.1

---
 srcpkgs/sway/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/sway/template b/srcpkgs/sway/template
index 566f0d3cc0d..c2b62da8dd1 100644
--- a/srcpkgs/sway/template
+++ b/srcpkgs/sway/template
@@ -1,19 +1,19 @@
 # Template file for 'sway'
 pkgname=sway
-version=1.0
-revision=2
+version=1.1.1
+revision=1
 build_style=meson
 conf_files="/etc/sway/config"
 hostmakedepends="pkg-config wayland-devel scdoc git"
 makedepends="wlroots-devel wayland-devel wayland-protocols pcre-devel
  json-c-devel pango-devel cairo-devel gdk-pixbuf-devel"
-depends="xorg-server-xwayland $(vopt_if elogind "elogind")"
+depends="swaybg xorg-server-xwayland $(vopt_if elogind "elogind")"
 short_desc="Tiling Wayland compositor compatible with i3"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="MIT"
 homepage="https://swaywm.org"
 distfiles="https://github.com/swaywm/${pkgname}/archive/${version}.tar.gz"
-checksum=24dafd0f1e630e97a5dd47233841adf856b665e2321d6207acfe6b3002d1bc56
+checksum=740bf97556c54da83937a255113d715aaa05e05b44d61fbe85e01b53ff1f9922
 
 build_options="elogind"
 desc_option_elogind="Uses elogind instead of setuid for privilege escalation"
